#version 150

#moj_import <fog.glsl>

uniform float FogStart;
uniform float FogEnd;
uniform vec4 FogColor;

in float vertexDistance;
flat in vec4 vertexColor;

out vec4 fragColor;

void main() {
    // Set the leash's color to fully black with full opacity
    fragColor = vec4(0.05, 0.05, 0.05, 1.0);
    
    // Apply linear fog to the black color, factoring in distance, fog start/end, and fog color
    fragColor = linear_fog(fragColor, vertexDistance, FogStart, FogEnd, FogColor);
}